summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2017-01-17 22:51:00 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-01-20 19:35:24 +0700
commitf66dd7f634e5313792656554578d773b68b4da46 (patch)
treed1b5265856e55c0c07e827c00a0e5463070572d7 /games
parentd910b2cede372157a380a9dc23cd2e96a65e379b (diff)
downloadslackbuilds-f66dd7f634e5313792656554578d773b68b4da46.tar.gz
slackbuilds-f66dd7f634e5313792656554578d773b68b4da46.tar.xz
games/chexquest3: Added (breakfast cereal themed FPS game).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/chexquest3/README13
-rw-r--r--games/chexquest3/chexquest3.SlackBuild78
-rw-r--r--games/chexquest3/chexquest3.desktop7
-rw-r--r--games/chexquest3/chexquest3.info10
-rw-r--r--games/chexquest3/chexquest3.pngbin0 -> 2415 bytes
-rw-r--r--games/chexquest3/chexquest3.sh27
-rw-r--r--games/chexquest3/doinst.sh3
-rw-r--r--games/chexquest3/slack-desc19
8 files changed, 157 insertions, 0 deletions
diff --git a/games/chexquest3/README b/games/chexquest3/README
new file mode 100644
index 0000000000..db24b74aa4
--- /dev/null
+++ b/games/chexquest3/README
@@ -0,0 +1,13 @@
+chexquest3 (breakfast cereal themed FPS game)
+
+Chex Quest is a game based on Doom, available in boxes of Chex cereal
+in 1996.
+
+Chex Quest 3 is a sequel to Chex Quest, created by the original
+designer. It includes the complete Chex Quest 1 and 2 (as episodes 1
+and 2).
+
+To play the game, you will need a compatible Doom engine installed.
+Currently, this means gzdoom, zdoom, or skulltag. You won't need any
+.wad files from any of the Doom games, since Chex Quest 3 is a
+total conversion.
diff --git a/games/chexquest3/chexquest3.SlackBuild b/games/chexquest3/chexquest3.SlackBuild
new file mode 100644
index 0000000000..7494bd11db
--- /dev/null
+++ b/games/chexquest3/chexquest3.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for chexquest3
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=chexquest3
+VERSION=${VERSION:-20100924}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+SRCNAM=ChexQuest3
+WAD=chex3.wad
+WADDIR=$PKG/usr/share/games/doom
+DOCDIR=$PKG/usr/doc/$PRGNAM-$VERSION
+BINDIR=$PKG/usr/games
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+unzip -a $CWD/$SRCNAM.zip \*.wad \*.txt
+
+# no chown/chmod stuff here, all files installed with explicit perms.
+mkdir -p $WADDIR $DOCDIR $BINDIR
+install -m0644 $WAD $WADDIR/$WAD
+install -m0644 *.txt $DOCDIR
+install -m0755 $CWD/$PRGNAM.sh $BINDIR/$PRGNAM
+
+mkdir -p $PKG/usr/share/pixmaps $PKG/usr/share/applications
+
+# icon extracted from chex3.exe with wrestool, converted with icotool
+cat $CWD/$PRGNAM.png > $PKG/usr/share/pixmaps/$PRGNAM.png
+
+# .desktop written by SlackBuild author
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/chexquest3/chexquest3.desktop b/games/chexquest3/chexquest3.desktop
new file mode 100644
index 0000000000..d4b3d97536
--- /dev/null
+++ b/games/chexquest3/chexquest3.desktop
@@ -0,0 +1,7 @@
+[Desktop Entry]
+Type=Application
+Name=Chex Quest 3
+Icon=chexquest3
+Exec=/usr/games/chexquest3
+Terminal=false
+Categories=Game;ActionGame;
diff --git a/games/chexquest3/chexquest3.info b/games/chexquest3/chexquest3.info
new file mode 100644
index 0000000000..ce5783a356
--- /dev/null
+++ b/games/chexquest3/chexquest3.info
@@ -0,0 +1,10 @@
+PRGNAM="chexquest3"
+VERSION="20100924"
+HOMEPAGE="http://www.chucktropolis.com/gamers.htm"
+DOWNLOAD="http://www.chucktropolis.com/downloads/ChexQuest3.zip"
+MD5SUM="e6e9bec61c1678ee0c883731dd43b60d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/games/chexquest3/chexquest3.png b/games/chexquest3/chexquest3.png
new file mode 100644
index 0000000000..07198dc3bd
--- /dev/null
+++ b/games/chexquest3/chexquest3.png
Binary files differ
diff --git a/games/chexquest3/chexquest3.sh b/games/chexquest3/chexquest3.sh
new file mode 100644
index 0000000000..9c374ef939
--- /dev/null
+++ b/games/chexquest3/chexquest3.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+# Wrapper script for chexquest3, part of the SlackBuilds.org project.
+# Finds a usable Doom engine and uses it to run the game.
+
+# The IWAD. Actually, for some reason, its header defines it as a PWAD.
+# But it really is an IWAD. Go figure.
+WAD=/usr/share/games/doom/chex3.wad
+
+# The list is restricted to engines that (a) are on SBo, and (b) can
+# actually play Chex Quest 3.
+
+# These were tested, and don't work:
+# chocolate-doom crispy-doom odamex prboom prboom-plus doomretro doomsday
+
+# These were tested, and do work... though skulltag has issues.
+ENGINES="gzdoom zdoom skulltag"
+
+# And we're off to the races...
+for eng in $ENGINES; do
+ if /bin/which $eng &>/dev/null; then
+ exec $eng -iwad $WAD "$@"
+ fi
+done
+
+echo "Can't find any of $ENGINES, can't run game." 1>&2
+exit 1
diff --git a/games/chexquest3/doinst.sh b/games/chexquest3/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/chexquest3/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/chexquest3/slack-desc b/games/chexquest3/slack-desc
new file mode 100644
index 0000000000..cbc87f3b9b
--- /dev/null
+++ b/games/chexquest3/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+chexquest3: chexquest3 (breakfast cereal themed FPS game)
+chexquest3:
+chexquest3: Chex Quest is a game based on Doom, available in boxes of Chex cereal
+chexquest3: in 1996.
+chexquest3:
+chexquest3: Chex Quest 3 is a sequel to Chex Quest, created by the original
+chexquest3: designer. It includes the complete Chex Quest 1 and 2 (as episodes 1
+chexquest3: and 2).
+chexquest3:
+chexquest3:
+chexquest3: